﻿@using TaskTracker.Models.Account;
@model PasswordUpdateModel

<form asp-controller="account" asp-action="updatePassword" method="post" data-ajax="true" data-ajax-method="POST" data-ajax-success="onPasswordUpdated">

    <div class="form-group">
        <label class="form-label" asp-for="OldPassword">Old Password</label>
        <div class="position-relative">
            <input type="password" class="form-control" asp-for="OldPassword" placeholder="Enter old password">
        </div>
        <span asp-validation-for="OldPassword" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label class="form-label" asp-for="NewPassword">New Password</label>
        <div class="position-relative">
            <input type="password" class="form-control" asp-for="NewPassword" placeholder="Enter old password">
        </div>
        <span asp-validation-for="NewPassword" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label class="form-label" asp-for="ConfirmPassword">Confirm Password</label>
        <div class="position-relative">
            <input type="password" class="form-control" asp-for="ConfirmPassword" placeholder="Enter password">
        </div>
        <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
    </div>

    <button type="submit" class="btn btn-success mt-3">Update</button>
</form>